package jp.co.argo21.nautica.workflow.sample.util;

import java.util.List;

@SuppressWarnings("serial")
/**
 * 入力内容が不当であることを表すクラス
 * 
 * @author stokin
 */
public class ValidatorException extends Exception{
	//エラーメッセージのリスト
	private List<String> message;
	
	/**
	 * コンストラクタ。
	 * @param errMessage エラーメッセージ
	 */
	public ValidatorException(List<String> errMessage){
		this.message = errMessage;
	}
	
	/**
	 * エラーメッセージを返す。
	 * 
	 * @return　エラーメッセージ
	 */
	public List<String> getErrList(){
		return message;
	}
}
